import request from '@/utils/request'

export const getGameOption = () =>
  request({
    url: '/dice/betting',
    method: 'GET',
  })

export const getKaiJiangList = () => request({ url: '/dice/draw', method: 'GET' })

// 用户信息
export const getJfDz = (uid: string) =>
  request({ url: `/dice/userBettingInfo?uid=${uid}`, method: 'GET' })

// 用户投注记录
export const getTzJl = (uid: string) =>
  request({ url: `/dice/userBettingRecord?uid=${uid}`, method: 'GET' })

// 大转盘相关api

// 获取开奖记录
export const get_turntable_list = () => request({ url: '/australia/list', method: 'GET' })

//  获取个人信息
export const get_user_info = (uid: string) =>
  request({ url: `/australia/user/info?uid=${uid}`, method: 'GET' })

// 大转盘投注
export const turntable_bet = (data: any) =>
  request({ url: '/australia/user/dice', method: 'POST', data })

// 获取大转盘投注记录
export const get_turntable_bet_record = (uid: string, date: string) =>
  request({ url: `/australia/user/record?uid=${uid}&date=${date}`, method: 'GET' })

// 获取大转盘开奖记录
export const get_turntable_open_record = () =>
  request({ url: `/australia/history/list`, method: 'GET' })
